#!/usr/bin/perl -w
# 2006/05/16 - I. Dutour

my $usage = "Utilisation : exo1.pl nomFichier\n";
die $usage if (!defined(@ARGV) || $#ARGV != 0);

my $seqFile = $ARGV[0];
open (SEQ, $seqFile) || die "Impossible d'ouvrir \"$seqFile\": $!";

my ($seqName, $seqLine, $c1, $c2);

$seqName = <SEQ>;
$c1 = 0;
$c2 = 0; 
while ($seqLine = <SEQ>) {
   chomp ($seqLine);
   $c1 += ($seqLine =~ tr/GCgc//);
   $c2 += length( $seqLine);
}
close (SEQ);

print "c1  = $c1\n";
print "c2  = $c2\n";
print "res = ", $c1/$c2*100,"\n";


###############################################
# Decrivez ici brievement ce que fait ce script
# 
# 
# 
# 
# 
# 
###############################################
# Justifiez en quelques mots la structure de
# l'algorithme mis en oeuvre dans ce script
# 
# 
# 
# 
# 
###############################################
# Que doit-on changer (et pourquoi) si l'on veut  
# rajouter par exemple le calcul du nombre de 
# codons START et STOP dans ce script ?
# 
# 
# 
# 
# 
